package it.integry.integrywmsnative.core.data_store.db.repository;

import java.util.List;

import it.integry.integrywmsnative.core.data_store.db.entity.Griglia;
import it.integry.integrywmsnative.core.expansion.RunnableArgs;

public interface GrigliaRepository {

    void selectAll(RunnableArgs<List<Griglia>> onSuccess, RunnableArgs<Exception> onError);

    void findByCodAlis(String codAlis, RunnableArgs<Griglia> onSuccess, RunnableArgs<Exception> onError);

    void saveGriglia(Griglia griglia, RunnableArgs<Integer> onSuccess, RunnableArgs<Exception> onFail);

    void findGrigliaById(int idGriglia, RunnableArgs<Griglia> onLoad, RunnableArgs<Exception> onFail);
}
